ContentListFacade (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class ContentListFacade

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.dom4j.tree.ContentListFacade

All Implemented Interfaces:
  Collection, List

public class ContentListFacade
extends AbstractList

`ContentListFacade` represents a facade of the content of a `Branch` which is returned via calls to the `Branch.content()` method to allow users to modify the content of a `Branch` directly using the `List` interface. This list is backed by the branch such that changes to the list will be reflected in the branch and changes to the branch will be reflected in this list.

Version:
  $Revision: 1.11 $
Author:
  James Strachan

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ContentListFacade(AbstractBranch branch, List branchContent)`

Method Summary
`void` | `add(int index, Object object)`
`boolean` | `add(Object object)`
`boolean` | `addAll(Collection collection)`
`boolean` | `addAll(int index, Collection collection)`
`protected Node` | `asNode(Object object)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`Object` | `get(int index)`
`protected List` | `getBackingList()`
`int` | `indexOf(Object o)`
`boolean` | `isEmpty()`
`int` | `lastIndexOf(Object o)`
`Object` | `remove(int index)`
`boolean` | `remove(Object object)`
`boolean` | `removeAll(Collection c)`
`Object` | `set(int index, Object object)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`retainAll, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`retainAll`

Constructor Detail

### ContentListFacade

    public ContentListFacade(AbstractBranch branch,
                             List branchContent)

Method Detail

### add

    public boolean add(Object object)

### add

    public void add(int index,
                    Object object)

### set

    public Object set(int index,
                      Object object)

### remove

    public boolean remove(Object object)

### remove

    public Object remove(int index)

### addAll

    public boolean addAll(Collection collection)

### addAll

    public boolean addAll(int index,
                          Collection collection)

### clear

    public void clear()

### removeAll

    public boolean removeAll(Collection c)

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### contains

    public boolean contains(Object o)

### toArray

    public Object[] toArray()

### toArray

    public Object[] toArray(Object[] a)

### containsAll

    public boolean containsAll(Collection c)

### get

    public Object get(int index)

### indexOf

    public int indexOf(Object o)

### lastIndexOf

    public int lastIndexOf(Object o)

### asNode

    protected Node asNode(Object object)

### getBackingList

    protected List getBackingList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.